Frequently Asked Questions

Which react versions are supported?

As defined in peer dependencies, Loadable Components supports React v16.3+.

Which webpack versions are supported?

As defined in peer dependencies, Loadable Components supports webpack v4.6+.

Which browsers are supported?

Loadable Components supports the same set of browsers as the current React version.

  • v5.x (React v16.3+): IE11, IE 9+ (with Map + Set polyfills), all evergreen browsers

Evergreen browsers include Chrome and Firefox (and derivatives) as they can be updated regardless of operating system version. Edge and Safari should both also work fine since all versions for the last several years support the relevant APIs.